* {
  box-sizing: border-box;
}
h1 {
  font-size: 2.5rem;
  font-weight: bold;
  font-family: "Poppins";
  color: #1e1e1e;
}
h2 {
  font-weight: bold;
  font-family: "Nunito Sans";
  color: #333333;
}
h3 {
  font-weight: bold;
  font-family: "Nunito Sans";
  color: #333333;
}
.project__link {
  text-decoration: none; /* Remove default underline */
  color: #007bff;
  font-weight: bold;
  position: relative;
  width: fit-content;
}

.project__link::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -1px; /* Adjust underline position */
  width: 100%;
  height: 2px;
  background-color: #007bff;
  transition: transform 0.3s ease-in-out;
  transform-origin: left;
  transform: scaleX(1); /* Start fully visible */
}

.project__link:hover::after {
  transform: scaleX(0); /* Shrink the underline */
}

body {
  margin: 0;
  font-family: "Roboto", sans-serif;
  color: #2a2a2a;
  line-height: 1.5;
}

.full-width-box {
  width: 100%;
  background: rgb(230, 230, 230);
  background: linear-gradient(
    90deg,
    rgba(230, 230, 230, 1) 0%,
    rgba(201, 201, 201, 1) 50%
  );
  padding: 2rem;
  display: flex;
  justify-content: center;
  align-items: stretch;
}

.wide-box {
  width: 100%;
  border: 1px solid #7f7f7f;
  padding: 2rem;
  display: flex;
  justify-content: center;
}
.wide-box__main-section {
  width: 100%;
  max-width: 1200px;
}

.intro {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 2%;
  .my-info {
    width: 49%;
    h1 {
      margin: 0;
    }
    h2 {
      margin: 0 0 1.5rem 0;
    }

    .skills {
      .skills-list {
        display: flex;
        flex-wrap: wrap;
        gap: 0.5rem;

        .skill {
          color: rgb(30, 50, 69);
          flex-grow: 0;
          display: flex;
          align-items: center;
          border: 1px solid rgb(30, 50, 69);
          padding: 0.3rem;
          border-radius: 10px;
        }
      }
    }
  }
  .about-me {
    width: 49%;
    display: flex;
    justify-content: center;
    align-items: center;
    .description {
      p {
        font-size: 1.2rem;
        font-style: italic;
        color: #333333;
      }
      p::before {
        content: "“ ";
      }
      p::after {
        content: " ”";
      }
    }
  }
}

.portfolio {
  .projects {
    .project {
      display: grid;
      grid-template-columns: 1fr 1fr;
      margin-bottom: 2rem;
      .project__title {
        grid-column: span 2;
        margin: 0;
      }
      .project__link {
        grid-column: span 2;
      }
      .project__features {
        .project__features__list {
          display: grid;
          grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
          grid-auto-rows: min-content;
          list-style: none;
          padding-left: 0;
          li {
            display: flex;
            img {
              margin-right: 0.5rem;
              width: 1rem;
            }
          }
        }
      }

      .project__image {
        img {
          width: 100%;
        }
      }
    }
  }
}

.call-to-action {
  display: flex;
  justify-content: center;
  align-items: center;
  .call-to-action__link {
    color: #007bff;
    .call-to-action__button-container {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      align-items: center;
      column-gap: 0.7rem;
      img {
        width: 2rem;
      }
    }
  }
}

@media (max-width: 1140px) {
  .project__info {
    display: flex;
    align-items: center;
  }
  .project__features.half-screen {
    display: none;
  }
  .project__features.full-screen {
    display: block;
    grid-column: span 2;
  }
}

@media (min-width: 1140px) {
  .project__features.half-screen {
    display: block;
  }
  .project__features.full-screen {
    display: none;
  }
}

@media (max-width: 768px) {
  h1 {
    font-size: 2rem;
  }
  .wide-box {
    padding: 0;
    border: none;
  }
  .intro {
    flex-direction: column;
    .my-info {
      width: 100%;
    }
    .about-me {
      width: 100%;
    }
  }
  .portfolio {
    .projects {
      .project {
        .project__title {
          order: 1;
        }
        .project__link {
          order: 2;
        }
        .project__info {
          grid-column: span 2;
          order: 4;
        }
        .project__image {
          order: 3;
          grid-column: span 2;
          margin-top: 1rem;
        }
        .project__features.full-screen {
          order: 5;
        }
      }
    }
  }
}
